> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer addresses



## OpenAPI

````yaml /openapi.json get /v1/customers/{customer_pk}/addresses/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/customers/{customer_pk}/addresses/:
    get:
      tags:
        - Customer Addresses
      summary: List customer addresses
      operationId: v1_customers_addresses_list
      parameters:
        - in: path
          name: customer_pk
          schema:
            type: string
            format: uuid
          required: true
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCustomerAddressList'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    PaginatedCustomerAddressList:
      type: array
      items:
        $ref: '#/components/schemas/CustomerAddress'
    CustomerAddress:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        first_name:
          type: string
          minLength: 1
          maxLength: 255
        last_name:
          type: string
          minLength: 1
          maxLength: 255
        company:
          type: string
          default: ''
          maxLength: 255
        phone:
          type: string
          default: ''
          maxLength: 50
        street_1:
          type: string
          minLength: 1
          maxLength: 100
        street_2:
          type: string
          default: ''
          maxLength: 100
        city:
          type: string
          minLength: 1
          maxLength: 100
        state_province:
          type: string
          default: ''
          description: >-
            The full state/province name ("North Carolina"). Required for some
            countries.
          maxLength: 255
        postal_code:
          type: string
          default: ''
          description: Postal/ZIP code. Required for some countries.
          maxLength: 30
        country_iso2:
          type: string
          minLength: 2
          description: ISO 3166-1 alpha-2 country code ("US").
          maxLength: 2
        is_default_shipping:
          type: boolean
          default: false
        is_default_billing:
          type: boolean
          default: false
      required:
        - city
        - country_iso2
        - first_name
        - id
        - last_name
        - street_1
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````